Bug 1432117 - Persistent volume relationship link broken
Summary: Persistent volume relationship link broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.8.0
Assignee: zakiva
QA Contact: Jaroslav Henner
URL:
Whiteboard: container:ui
Depends On:
Blocks: 1436226
TreeView+ depends on / blocked
 
Reported: 2017-03-14 14:45 UTC by Jaroslav Henner
Modified: 2019-08-06 20:06 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436226 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:42:06 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Jaroslav Henner 2017-03-14 14:45:05 UTC
Description of problem:
Having a PV in OpenShift, when checking it's relationships, there is link 
Containers Provider: ose3-master-6m5i4...

The link is leading to 
https://10.8.177.87/ems_container/show/4
which gives HTTP 404. It should be
https://10.8.177.87/ems_container/4 in order to work.


Version-Release number of selected component (if applicable):
CFME Version 5.8.0.4.20170307183144_745a3d9 

How reproducible:
3/3

Steps to Reproduce:
1. Create a PV and PVC in OpenShift
2. Add the Openshift as a provider
3. inspect the volume relationships

Actual results:
link broken

Expected results:
working link

Additional info:

Comment 4 Jaroslav Henner 2017-04-12 13:34:16 UTC
Works on  5.8.0.9

Comment 6 errata-xmlrpc 2017-05-31 14:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.